summary refs log tree commit diff
path: root/home/.local
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2018-08-15 17:29:30 -0400
committerJune McEnroe <june@causal.agency>2018-08-15 17:29:30 -0400
commitfa0436bd9f69083bdcb1fa7596dbe65f325124b2 (patch)
treeb7318e0e6ec8957632bbd918f19736bb971c1841 /home/.local
parentAdd kshrc (diff)
downloadsrc-fa0436bd9f69083bdcb1fa7596dbe65f325124b2.tar.gz
src-fa0436bd9f69083bdcb1fa7596dbe65f325124b2.zip
Move nasd to shell script
Diffstat (limited to 'home/.local')
-rwxr-xr-xhome/.local/bin/nasd9
1 files changed, 9 insertions, 0 deletions
diff --git a/home/.local/bin/nasd b/home/.local/bin/nasd
new file mode 100755
index 00000000..203fdd2d
--- /dev/null
+++ b/home/.local/bin/nasd
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e -u
+
+dir=$(mktemp -d)
+echo 'bits 64' > $dir/input
+cat >> $dir/input
+nasm -o $dir/output $dir/input || true
+ndisasm -b 64 $dir/output || true
+rm -r $dir